< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package http
  Definition Classes
    hmrc
-  package controllers
  Definition Classes
    http
-  package hooks
  Definition Classes
    http
-  package logging
  Definition Classes
    http
- BadGatewayException
- BadRequestException
- ConflictException
- CookieNames
- CoreDelete
- CoreGet
- CorePatch
- CorePost
- CorePut
- DeleteHttpTransport
- ExpectationFailedException
- FailedDependencyException
- ForbiddenException
- GatewayTimeoutException
- GetHttpTransport
- GoneException
- HeaderCarrier
- HeaderNames
- HeaderProvider
- HttpClient
- HttpDelete
- HttpErrorFunctions
- HttpException
- HttpGet
- HttpPatch
- HttpPost
- HttpPut
- HttpReads
- HttpReadsEither
- HttpReadsHttpResponse
- HttpReadsInstances
- HttpReadsJson
- HttpReadsLegacyInstances
- HttpReadsLegacyJson
- HttpReadsLegacyOption
- HttpReadsLegacyRawReads
- HttpReadsOption
- HttpReadsTry
- HttpResponse
- HttpTransport
- HttpVerb
- HttpVerbs
- HttpVersionNotSupportedException
- InsufficientStorageException
- InternalServerException
- JsValidationException
- LengthRequiredException
- LockedException
- LowPriorityHttpReadsJson
- MethodNotAllowedException
- NotAcceptableException
- NotFoundException
- NotImplementedException
- PatchHttpTransport
- PaymentRequiredException
- PostHttpTransport
- PreconditionFailedException
- ProxyAuthenticationRequiredException
- PutHttpTransport
- Request
- RequestEntityTooLargeException
- RequestRangeNotSatisfiableException
- RequestTimeoutException
- RequestUriTooLongException
- Retries
- ServiceUnavailableException
- SessionKeys
- Token
- TooManyRequestException
- UnauthorizedException
- UnprocessableEntityException
- UnsupportedMediaTypeException
- Upstream4xxResponse
- Upstream5xxResponse
- UpstreamErrorResponse
- UrlValidationException
- UserId

c

uk.gov.hmrc.http

# Upstream4xxResponse 

###

#### case class Upstream4xxResponse(message: String, upstreamResponseCode: Int, reportAs: Int, headers: Map[String, Seq[String]] = Map.empty) extends Exception with UpstreamErrorResponse with Product with Serializable

Annotations
  @deprecated
Deprecated

  (Since version 11.0.0) Use UpstreamErrorResponse.apply or UpstreamErrorResponse.Upstream4xxResponse.unapply instead.

Linear Supertypes
Serializable, Product, Equals, UpstreamErrorResponse, Exception, Throwable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Upstream4xxResponse
2. Serializable
3. Product
4. Equals
5. UpstreamErrorResponse
6. Exception
7. Throwable
8. Serializable
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Upstream4xxResponse(message: String, upstreamResponseCode: Int, reportAs: Int, headers: Map[String, Seq[String]] = Map.empty)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def addSuppressed(arg0: Throwable): Unit
   Definition Classes
     Throwable
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def fillInStackTrace(): Throwable
   Definition Classes
     Throwable
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  def getCause(): Throwable
    Definition Classes
      Throwable
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def getLocalizedMessage(): String
    Definition Classes
      Throwable
13.  def getMessage(): String
    Definition Classes
      UpstreamErrorResponse → Throwable
14.  def getStackTrace(): Array[StackTraceElement]
    Definition Classes
      Throwable
15.  final def getSuppressed(): Array[Throwable]
    Definition Classes
      Throwable
16.  val headers: Map[String, Seq[String]]
    Definition Classes
      Upstream4xxResponse → UpstreamErrorResponse
17.  def initCause(arg0: Throwable): Throwable
    Definition Classes
      Throwable
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  val message: String
    Definition Classes
      Upstream4xxResponse → UpstreamErrorResponse
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def printStackTrace(arg0: PrintWriter): Unit
    Definition Classes
      Throwable
24.  def printStackTrace(arg0: PrintStream): Unit
    Definition Classes
      Throwable
25.  def printStackTrace(): Unit
    Definition Classes
      Throwable
26.  val reportAs: Int
    Definition Classes
      Upstream4xxResponse → UpstreamErrorResponse
27.  def setStackTrace(arg0: Array[StackTraceElement]): Unit
    Definition Classes
      Throwable
28.  final def statusCode: Int
    Definition Classes
      UpstreamErrorResponse
    Annotations
      @silent( "deprecated" )
29.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      Throwable → AnyRef → Any
31.  val upstreamResponseCode: Int
    Definition Classes
      Upstream4xxResponse → UpstreamErrorResponse
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from UpstreamErrorResponse

### Inherited from Exception

### Inherited from Throwable

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped